import { useDataContext } from "../../common/contexts/data_context"
import { IOption } from "../../common/domain/entities/option"
import { useGet } from "../../common/hooks/useGet"

export const useGetUserInterests = () => {
    const { profileRepository } = useDataContext()
    const callback = async () => {
        return profileRepository!.getUserInterests();
    }
    const { data, requestStatus } = useGet<IOption[]>(callback);
    return { data, requestStatus };
}